function MMAP = mmap_superpos(mmaps)
% Constructs the superposition of multiple MMAPs. The MMAPs might have
% different number of classes and number of states.
% INPUT:
% - cell array of MMAPs

L = length(mmaps);
M = 0;
for i = 1:L
    M = M + size(mmaps{i},2)-2;
end

MMAP = cell(1,2+M);
for i = 1:M
    MMAP{2+i} = 1;
end

c = 0;
for i = 1:L
    m = size(mmaps{i},2)-2;
    n = size(mmaps{i}{1},1);
    for j = 1:M
        h = j-c;
        if h >= 1 && h <= m
            MMAP{2+j} = kron(MMAP{2+j},mmaps{i}{2+h});
        else
            MMAP{2+j} = kron(MMAP{2+j},eye(n));
        end
    end
    c = c + m;
end

MMAP{1} = mmaps{1}{1};
MMAP{2} = mmaps{1}{2};
for i = 2:L
    MMAP{1} = krons(MMAP{1},mmaps{i}{1});
    MMAP{2} = krons(MMAP{2},mmaps{i}{2});
end

end